.index-swiper {
  position: relative;
  width: 100%;
  height: 100%;
}
.index-swiper .swiper-slide {
  overflow: hidden;
}
.index-swiper .swiper-slide .slide-inner > img {
  display: block;
  width: 100%;
  height: auto;
  background-color: #ccc;
  object-fit: cover;
}
.index-swiper .text {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 100%;
  height: 100%;
  padding: 15vh;
  padding-bottom: 10rem;
}
.index-swiper .text h2 {
  font-size: 2rem;
  line-height: 1.2;
  color: #fff;
  margin-top: 1rem;
}
.index-swiper .text p {
  font-size: 1.4rem;
  color: #fff;
  margin-top: 1rem;
}
.index-swiper .text p span {
  color: var(--color-c1);
  font-size: inherit;
}
.index-swiper .text .more-btn {
  margin-top: 2rem;
}
.index-swiper .controls {
  position: absolute;
  bottom: 2rem;
  left: 50%;
  width: 96%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transform: translateX(-50%);
  z-index: 11;
}
.index-swiper .controls > div {
  transform: none;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  position: relative !important;
}
.index-swiper .swiper-button {
  width: 3rem;
  height: 1.5rem;
  border-radius: 2rem;
  background-color: transparent;
  border: none;
}
.index-swiper .swiper-button:hover.swiper-button-prev {
  transform: translateX(10%);
}
.index-swiper .swiper-button:hover.swiper-button-next {
  transform: translateX(-10%);
}
.index-swiper .swiper-button:hover::before {
  width: 100%;
}
.index-swiper .swiper-button.swiper-button-prev::before {
  left: 0;
}
.index-swiper .swiper-button.swiper-button-next::before {
  right: 0;
}
.index-swiper .swiper-button::before {
  content: "";
  position: absolute;
  top: 0;
  width: 1.5rem;
  height: 1.5rem;
  border: 1px solid #fff;
  border-radius: 2rem;
  transition: all ease 0.3s;
}
.index-swiper .swiper-button::after {
  font-size: 0.8rem !important;
  color: #fff !important;
}
.index-swiper .swiper-pagination {
  bottom: 2rem;
  left: 50%;
  width: auto;
  transform: translateX(-50%);
}
.index-swiper .swiper-pagination .swiper-pagination-bullet {
  width: 1.2rem;
  height: 0.2rem;
  border-radius: 0;
  border: none;
  background-color: rgba(255, 255, 255, 0.3) !important;
}
.index-swiper .swiper-pagination .swiper-pagination-bullet-active {
  background-color: #fff !important;
}
.main-1 .con {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}
.main-1 .item {
  display: flex;
  align-items: center;
  gap: 2rem;
  padding: 0 2rem;
  min-height: 20rem;
}
.main-1 .item > div {
  width: 50%;
}
.main-1 .item .txt p {
  font-size: 1.8rem;
  line-height: 1.2;
  margin-bottom: 2rem;
}
.main-1 .item:hover {
  background-color: #f9f9f9;
}
.main-2 {
  background-image: url("../images/hbg2.jpg");
}
.main-2 * {
  color: #fff !important;
}
.main-2 .content {
  display: flex;
  justify-content: space-between;
}
.main-2 .txt {
  width: 34rem;
}
.main-2 .txt .des {
  line-height: 1.6;
}
.main-2 .txt .more-btn {
  margin-top: 3.5rem;
}
.main-2 .imgs {
  display: flex;
  align-items: flex-start;
  gap: 2rem;
}
.main-2 .imgs img {
  width: 10rem;
}
.main-3 {
  padding: 0;
}
.main-3 .content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}
.main-3 .item {
  position: relative;
  gap: 1rem;
  padding: 0 3.5rem;
  height: 13.5rem;
  overflow: hidden;
}
.main-3 .item:nth-of-type(odd) {
  background-color: #f7f7f7;
}
.main-3 .item:nth-of-type(even) {
  background-color: #ededed;
}
.main-3 .item .i {
  width: 3.6rem;
  height: 3.6rem;
}
.main-3 .item h6 {
  font-size: 1.4rem;
}
.main-3 .item p {
  line-height: 1.4;
  text-align: center;
  max-height: 0;
  color: #999;
  font-size: 0.8rem;
  overflow: hidden;
}
.main-3 .item::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  display: block;
  width: 100%;
  border-bottom: 0.2rem solid var(--color-c1);
  transition: all ease 0.3s;
  opacity: 1;
  transform: translateY(100%);
}
.main-3 .item:hover p {
  max-height: 2.5rem;
}
.main-3 .item:hover::before {
  opacity: 1;
  transform: translateY(0);
}
.main-4 .tit {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.main-4 .content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 6.2rem;
}
@media screen and (max-width: 768px) {
  .index-swiper .swiper-slide .slide-inner > img {
    height: 40vh;
  }
  .index-swiper .text {
    padding: 0;
  }
  .index-swiper .text h2 {
    font-size: 2rem;
  }
  .index-swiper .controls {
    justify-content: center;
  }
  .index-swiper .controls .swiper-button {
    display: none;
  }
  .main-1 .con {
    grid-template-columns: 1fr;
  }
  .main-1 .item {
    min-height: 15rem;
  }
  .main-2 .content {
    flex-direction: column;
    gap: 1rem;
  }
  .main-2 .content > div {
    width: 100% !important;
  }
  .main-2 .txt .more-btn {
    margin-top: 1rem;
  }
  .main-2 .imgs img {
    width: 6rem;
  }
  .main-3 .content {
    grid-template-columns: 1fr;
  }
  .main-3 .item h6 {
    font-size: 1rem;
  }
  .main-4 .content {
    grid-template-columns: 1fr;
    gap: 1rem;
  }
}
